OVERVIEW(1)

NAME
overview - run a program from SunView that takes over the screen

SYNOPSIS
overview [ -w ] [ generic_tool_options ] program_name [ arguments ] ...

AVAILABILITY
This command is available with the software installation option. Refer to for information on how to install optional software.

DESCRIPTION

Bitmap graphics based programs that are not SunView based can be run from SunView using overview. overview shows an icon in SunView when overview is brought up iconic (-Wi generic tool option; see sunview(1)) or when the program being run by overview is suspended (for example, using CTRL-Z). Opening the overview icon, or starting overview non-iconic, starts the program named on the command line. overview suppresses SunView so that SunView window applications will not interfere with the program's display output or input devices.

overview runs programs that fit the following profile:

own display
    The program needs to own the bits on the screen. It does not use the sunview library to arbitrate the use of the display and input devices between processes.

keyboard input from stdin
    The program takes keyboard input from stdin directly.

mouse input from /dev/mouse
    The program takes locator input from the mouse directly.

OPTIONS

-w  This option is used to specify that the program being run creates its own SunWindows window in order to receive the serialized input stream from the keyboard and mouse that is provided by the SunWindows kernel driver. -w tells overview to not convert SunWindows input into ASCII which is then sent to the program being run under overview via a pty. X and NeWS are programs that fall in this category (as of Dec 86. This is subject to change in the future.)

SEE ALSO
sunview(1)

BUGS

Users of overview on a Sun-3/110 should be aware of the impact of plane groups on pre-3.2 applications. You cannot successfully run pre-3.2 applications under overview if overview itself is running in the color buffer. If you start overview so that it is not running in the overlay plane, then the enable plane is not be properly set up for viewing the application. This means that you cannot run overview with the -Wf or -Wb generic tool arguments. Also, you cannot run overview on a desktop created by sunview using the -8bit_color_only option.